---
title: godo.DropletActions.EnableIPv6()
description: EnableIPv6 enables IPv6 for a Droplet.
product: Reference
url: https://docs.digitalocean.com/reference/godo/reference/droplet-actions/droplet-actions-enable-i-pv6/
last_updated: "2026-11-05"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# godo.DropletActions.EnableIPv6()

Generated on 5 Nov 2026 from godo version [`v1.236.0`](https://github.com/digitalocean/godo/releases/tag/v1.236.0)

## Usage

```go
client.DropletActions.EnableIPv6(ctx context.Context, id int) (*godo.Action, *godo.Response, error)
```

## Description

`EnableIPv6` enables IPv6 for a Droplet.

This method sends a POST request to [`/v2/droplets/{}/actions`](https://docs.digitalocean.com/reference/api/reference/droplet-actions/index.html.md#dropletActions_post).

## Parameters

`id` int required

## Returns

\*godo.Action

\*godo.Response

The HTTP response, with pagination `Links`, `Meta`, and `Rate` limit information.

error

Non-nil when the request fails. API errors are returned as `*godo.ErrorResponse`.

### Fields of `godo.Action`

`Action` represents a DigitalOcean Action

`ID` int

JSON key: `id`

`Status` string

JSON key: `status`

`Type` string

JSON key: `type`

`StartedAt` \*godo.Timestamp

JSON key: `started_at`

`CompletedAt` \*godo.Timestamp

JSON key: `completed_at`

`ResourceID` int

JSON key: `resource_id`

`ResourceType` string

JSON key: `resource_type`

`Region` \*godo.Region

Omitted from JSON when empty. JSON key: `region`

`RegionSlug` string

Omitted from JSON when empty. JSON key: `region_slug`

## Request Sample

## Show Request Sample

```go
package main

import (
	"context"
	"fmt"
	"log"
	"os"

	"github.com/digitalocean/godo"
)

func main() {
	client := godo.NewFromToken(os.Getenv("DIGITALOCEAN_TOKEN"))
	ctx := context.TODO()

	result, _, err := client.DropletActions.EnableIPv6(ctx, 1234567)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Printf("%+v\n", result)
}
```

## More Information

See [`POST /v2/droplets/{}/actions`](https://docs.digitalocean.com/reference/api/reference/droplet-actions/index.html.md#dropletActions_post) in the API reference for additional detail on responses, headers, parameters, and more.

See the [Go package documentation](https://pkg.go.dev/github.com/digitalocean/godo#DropletActionsServiceOp.EnableIPv6) for the source of this method.